Crear cobranza de cliente
curl --request POST \
--url https://api.lapyme.com.ar/api/v1/customer-payments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"point_of_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_date": "<string>",
"total_amount": 123,
"splits": [
{
"payment_method_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"reference": "<string>",
"card_brand": "<string>",
"card_batch_number": "<string>",
"card_coupon_number": "<string>",
"card_installment_plan_code": "<string>",
"notes": "<string>",
"fee_amount": 1,
"fee_percentage_applied": "<string>",
"fee_fixed_applied": 1,
"net_amount": 1,
"check_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"register_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"safe_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"exchange_rate": 123,
"settlement_total_amount": 123,
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notes": "<string>",
"applications": [
{
"sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applied_amount": 123
}
],
"journal_line_applications": [
{
"journal_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applied_amount": 123
}
],
"credit_journal_line_applications": [
{
"journal_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applied_amount": 123
}
],
"credit_note_applications": [
{
"credit_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applied_amount": 123
}
],
"advance_applications": [
{
"advance_payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applied_amount": 123
}
],
"withholdings": [
{
"amount": 123,
"certificate_number": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"province_id": "<string>",
"regimen": "<string>",
"rate": 123,
"calculation_base": 123
}
]
}
'{
"request_id": "<string>",
"data": {
"customer_payment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_name": "<string>",
"payment_number": 123,
"formatted_payment_number": "<string>",
"payment_date": "<string>",
"total_amount": 123,
"balance": 123,
"created_at": "2023-11-07T05:31:56Z",
"created_by_name": "<string>",
"settlement_total_amount": 123,
"exchange_rate": "<string>",
"notes": "<string>",
"splits": [
{
"payment_method_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_method_name": "<string>",
"reference": "<string>",
"card_brand": "<string>",
"card_batch_number": "<string>",
"card_coupon_number": "<string>",
"card_installment_plan_code": "<string>",
"notes": "<string>",
"fee_amount": 123,
"fee_percentage_applied": "<string>",
"fee_fixed_applied": 123,
"net_amount": 123,
"check_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"register_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"safe_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"applications": [
{
"applied_amount": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credit_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"advance_payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"journal_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"formatted_invoice_number": "<string>",
"credit_formatted_invoice_number": "<string>",
"advance_formatted_payment_number": "<string>"
}
],
"credit_applications": [
{
"applied_amount": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credit_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"advance_payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"journal_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"formatted_invoice_number": "<string>",
"credit_formatted_invoice_number": "<string>",
"advance_formatted_payment_number": "<string>"
}
],
"journal_line_applications": [
{
"applied_amount": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credit_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"advance_payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"journal_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"formatted_invoice_number": "<string>",
"credit_formatted_invoice_number": "<string>",
"advance_formatted_payment_number": "<string>"
}
],
"advance_applications": [
{
"applied_amount": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credit_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"advance_payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"journal_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"formatted_invoice_number": "<string>",
"credit_formatted_invoice_number": "<string>",
"advance_formatted_payment_number": "<string>"
}
],
"withholdings": [
{
"amount": 123,
"certificate_number": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"province_id": "<string>",
"regimen": "<string>",
"rate": 123,
"calculation_base": 123
}
]
},
"idempotent_replay": true
},
"warnings": [
"<unknown>"
]
}Crear cobranza de cliente
Registra una cobranza de cliente con uno o más métodos de pago, aplicaciones a ventas o cuenta corriente, retenciones y datos de cheque cuando corresponde.
POST
/
api
/
v1
/
customer-payments
Crear cobranza de cliente
curl --request POST \
--url https://api.lapyme.com.ar/api/v1/customer-payments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"point_of_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_date": "<string>",
"total_amount": 123,
"splits": [
{
"payment_method_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"reference": "<string>",
"card_brand": "<string>",
"card_batch_number": "<string>",
"card_coupon_number": "<string>",
"card_installment_plan_code": "<string>",
"notes": "<string>",
"fee_amount": 1,
"fee_percentage_applied": "<string>",
"fee_fixed_applied": 1,
"net_amount": 1,
"check_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"register_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"safe_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"exchange_rate": 123,
"settlement_total_amount": 123,
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notes": "<string>",
"applications": [
{
"sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applied_amount": 123
}
],
"journal_line_applications": [
{
"journal_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applied_amount": 123
}
],
"credit_journal_line_applications": [
{
"journal_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applied_amount": 123
}
],
"credit_note_applications": [
{
"credit_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applied_amount": 123
}
],
"advance_applications": [
{
"advance_payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applied_amount": 123
}
],
"withholdings": [
{
"amount": 123,
"certificate_number": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"province_id": "<string>",
"regimen": "<string>",
"rate": 123,
"calculation_base": 123
}
]
}
'{
"request_id": "<string>",
"data": {
"customer_payment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_name": "<string>",
"payment_number": 123,
"formatted_payment_number": "<string>",
"payment_date": "<string>",
"total_amount": 123,
"balance": 123,
"created_at": "2023-11-07T05:31:56Z",
"created_by_name": "<string>",
"settlement_total_amount": 123,
"exchange_rate": "<string>",
"notes": "<string>",
"splits": [
{
"payment_method_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_method_name": "<string>",
"reference": "<string>",
"card_brand": "<string>",
"card_batch_number": "<string>",
"card_coupon_number": "<string>",
"card_installment_plan_code": "<string>",
"notes": "<string>",
"fee_amount": 123,
"fee_percentage_applied": "<string>",
"fee_fixed_applied": 123,
"net_amount": 123,
"check_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"register_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"safe_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"applications": [
{
"applied_amount": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credit_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"advance_payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"journal_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"formatted_invoice_number": "<string>",
"credit_formatted_invoice_number": "<string>",
"advance_formatted_payment_number": "<string>"
}
],
"credit_applications": [
{
"applied_amount": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credit_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"advance_payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"journal_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"formatted_invoice_number": "<string>",
"credit_formatted_invoice_number": "<string>",
"advance_formatted_payment_number": "<string>"
}
],
"journal_line_applications": [
{
"applied_amount": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credit_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"advance_payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"journal_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"formatted_invoice_number": "<string>",
"credit_formatted_invoice_number": "<string>",
"advance_formatted_payment_number": "<string>"
}
],
"advance_applications": [
{
"applied_amount": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credit_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"advance_payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"journal_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"formatted_invoice_number": "<string>",
"credit_formatted_invoice_number": "<string>",
"advance_formatted_payment_number": "<string>"
}
],
"withholdings": [
{
"amount": 123,
"certificate_number": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"province_id": "<string>",
"regimen": "<string>",
"rate": 123,
"calculation_base": 123
}
]
},
"idempotent_replay": true
},
"warnings": [
"<unknown>"
]
}Authorizations
Incluí tu API key en el header Authorization con el prefijo Bearer.
Headers
Body
application/json
Available options:
PES, DOL Show child attributes
Show child attributes
Available options:
PES, DOL Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I

